[arch-commits] Commit in element/repos (community-x86_64 community-x86_64/PKGBUILD)

David Runge dvzrv at archlinux.org
Wed Dec 18 11:29:31 UTC 2019


    Date: Wednesday, December 18, 2019 @ 11:29:29
  Author: dvzrv
Revision: 538013

archrelease: copy trunk to community-x86_64

Added:
  element/repos/community-x86_64/
  element/repos/community-x86_64/PKGBUILD
    (from rev 538012, element/trunk/PKGBUILD)

----------+
 PKGBUILD |   59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

Copied: element/repos/community-x86_64/PKGBUILD (from rev 538012, element/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2019-12-18 11:29:29 UTC (rev 538013)
@@ -0,0 +1,59 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+pkgname=element
+pkgver=0.42.0
+pkgrel=2
+pkgdesc="A modular LV2/VST3 audio plugin host"
+arch=('x86_64')
+url="https://github.com/kushview/element"
+license=('GPL3')
+groups=('pro-audio')
+depends=('alsa-lib' 'atk' 'cairo' 'fontconfig' 'gcc-libs' 'glib2' 'glibc' 'gdk-pixbuf2'
+'gtk2' 'harfbuzz'  'libcurl.so' 'libfreetype.so' 'libjack.so' 'liblilv-0.so'
+'libreadline.so' 'libserd-0.so' 'libsord-0.so' 'libsratom-0.so' 'libsuil-0.so'
+'libx11' 'libxext' 'pango')
+makedepends=('boost' 'git' 'ladspa' 'lua' 'lv2' 'waf')
+checkdepends=('xorg-server-xvfb')
+optdepends=('lua: for LUA scripting')
+source=("git+https://github.com/kushview/${pkgname}#tag=${pkgver}?signed"
+        "git+https://github.com/kushview/kv-modules"
+        "git+https://github.com/WeAreRoli/JUCE.git"
+        "git+https://github.com/lvtk/jlv2")
+md5sums=('SKIP'
+         'SKIP'
+         'SKIP'
+         'SKIP')
+validpgpkeys=('52CB000FABB9DBE345CD478980A5F4BE60360CDE') # Michael Fisher <mfisher at kushview.net>
+
+prepare() {
+  cd "$pkgname"
+  git submodule init
+  git config submodule.libs/kv.url "${srcdir}/kv-modules"
+  git config submodule.libs/JUCE.url "${srcdir}/JUCE"
+  git config submodule.libs/jlv2.url "${srcdir}/jlv2"
+  git submodule update
+}
+
+build() {
+  cd "$pkgname"
+  waf configure --prefix=/usr \
+                --enable-docking \
+                --test
+  waf build -vv
+}
+
+check() {
+  cd "$pkgname"
+  LD_LIBRARY_PATH="${PWD}/build/lib:${LD_LIBRARY_PATH}" xvfb-run waf check || echo "Known to fail: https://github.com/kushview/Element/issues/153"
+}
+
+package() {
+  cd "$pkgname"
+  waf install --destdir="${pkgdir}"
+  install -vDm 644 {AUTHORS,CODE_OF_CONDUCT,CONTRIBUTING,README}.md \
+    -t "${pkgdir}/usr/share/doc/${pkgname}"
+  install -vDm 644 docs/*.md \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/docs"
+  install -vDm 644 docs/img/*.png \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/docs/img"
+}


More information about the arch-commits mailing list